"""Nuke internal menu.py to add the package to Nuke's UI."""

# Import third-party modules
import nuke  # pylint: disable=import-error
import nukescripts  # pylint: disable=import-error

# Import local modules
from smartScripter import helper
from smartScripter import osl as smartScripter
from smartScripter import about


def register_menu():
    """Register the smartScripter menu."""
    menu = nuke.menu("Nuke").addMenu("cragl/smartScripter",
                                     helper.load_icons()["logo"])
    menu.addCommand("smartScripter",
                    lambda: smartScripter.main(floating=True), "F9")
    menu.addSeparator()
    menu.addCommand("about", about.show_about, icon="")


def register_pane():
    """Register scripter to pane."""

    nukescripts.panels.registerWidgetAsPanel(
        "smartScripter.main", "smartScripter", "com.cragl.smartScripter")


def init():
    """Initialize ui elements."""
    register_menu()
    register_pane()


init()
